
QGIS Application - Bug report #6119

EVIS:  invalid layer in project

2012-07-30 04:11 AM - ikc66 ikc666

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Evis

Affected QGIS version:1.8.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 15458

Description

Configuration:

Windows XP SP3

QGIS Version 1.8.0-Lisboa

Code Revision: 6416f38

I created some projects and for two of them that are based upon an ODBC that points to a XLS source file created using the eVis

connexion manager I have a crash. "Application défaillante qgis.exe, version 0.0.0.0, module défaillant delimitedtextprovider.dll, version

0.0.0.0, adresse de défaillance 0x00015dd1."

Here's an extract of the content of the QGIS project on the layer named "Bureaux" based upon the ODBC with the same name which

seems suspicious to me:

            <id>Bureaux20120726121133312</id>

           

<datasource>file:../../../../TMP/qt_temp.eT5972?delimiter=%09&amp;delimiterType=regexp&amp;xField=X&amp;yField=Y</datasource>
            <title></title>
            <abstract><

ource>

            <title></title>

            <abstract></abstract>

            <layername>Bureaux</layername>

            <srs>

                <spatialrefsys>

                    <proj4>+proj=lcc +lat_1=44 +lat_2=49 +lat_0=46.5 +lon_0=3 +x_0=700000 +y_0=6600000 +ellps=GRS80

+towgs84=0,0,0,0,0,0,0 +units=m +no_defs</proj4>

                    <srsid>10089</srsid>

                    <srid>310024140</srid>

                    <authid>IGNF:LAMB93</authid>

                    <description>Lambert 93</description>

                    <projectionacronym>lcc</projectionacronym>

                    <ellipsoidacronym>IGNF:ELG037</ellipsoidacronym>

                    <geographicflag>false</geographicflag>

                </spatialrefsys>

            </srs>

            <transparencyLevelInt>255</transparencyLevelInt>

            <provider encoding="System">delimitedtext</provider>

I attached the additional error infos and my Evis connexion manager info.

2024-04-23 1/3



Related issues:

Related to QGIS Application - Bug report # 5832: QGIS seg fault when loading ... Closed 2012-06-20

Duplicated by QGIS Application - Bug report # 6293: evis not able to load MS ... Closed 2012-08-31

History

#1 - 2012-07-30 04:21 AM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #5832 (I assume the temporary file is gone).

#2 - 2012-07-31 10:01 AM - ikc66 ikc666

Hello,

I agree that the change done in the revision #23a34121 on src/providers/delimitedtext/qgsdelimitedtextprovider.cpp should prevent crashing again but this

is only the consequence of a bad record of the ODBC infos (whatever the source: MSSQL server, Excel file, CSV, etc).

I'm new to QGIS and don't know exactly the way it works to save the project while using an ODBC datasource but in fact each time he does the following

kind of bad record for the source in the project file: 

<datasource>file:../../../../TMP/qt_temp.eT3316?delimiter=%09&delimiterType=regexp&xField=X&yField=Y</datasource>

I may be wrong, but I cannot see the correction of the ODBC datasource recording in the revision commit:23a34121. Do I need to create another issue? If

so, is it in the main thread or in the plugins?

Thanks ahead.

#3 - 2012-07-31 12:00 PM - Jürgen Fischer

- Status changed from Closed to Reopened

- Resolution deleted (duplicate)

- Priority changed from Severe/Regression to Normal

- Subject changed from Error in delimitedtextprovider.dll while openning saved projects on QGIS 1.8 to EVIS:  invalid layer in project

- Category changed from Project Loading/Saving to C++ Plugins

#4 - 2012-07-31 12:03 PM - Jürgen Fischer

- Assignee set to ersts-amnh-org -

#5 - 2012-09-03 02:51 AM - Andre Joost

evis creates a delimited text file, which gets deleted after closing the program. If I save it before closing, and restore it to the temp folder, the project

reopens.

Strangely enough, that file will not be deleted on closing the project anymore...

But that would not be a live connection to the database anymore. Storing the database connection parameters would be better (like for spatialite

databases).

#6 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#7 - 2013-07-12 03:40 PM - Jürgen Fischer
- Assignee changed from ersts-amnh-org - to anonymous -

#8 - 2013-07-12 03:41 PM - Jürgen Fischer

- Assignee deleted (anonymous -)

#9 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#10 - 2014-06-29 06:42 AM - Jürgen Fischer

- Category changed from C++ Plugins to C++ plugins/Evis

#11 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#12 - 2018-03-01 12:24 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then

close the ticket. Thanks!

#13 - 2018-11-11 04:45 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Description updated

- Resolution set to no timely feedback

Files

b9c9_appcompat.txt 10.7 KB 2012-07-30 ikc66 ikc666

eVis_Predifined_Queries.xml 1.89 KB 2012-07-30 ikc66 ikc666
